com.amazonaws.services.codecommit.model

## Class UpdateRepositoryNameRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codecommit.model.UpdateRepositoryNameRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateRepositoryNameRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of an update repository description operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateRepositoryNameRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateRepositoryNameRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getNewName()` The new name for the repository.
`String` `getOldName()` The existing name of the repository.
`int` `hashCode()`
`void` `setNewName(String newName)` The new name for the repository.
`void` `setOldName(String oldName)` The existing name of the repository.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateRepositoryNameRequest` `withNewName(String newName)` The new name for the repository.
`UpdateRepositoryNameRequest` `withOldName(String oldName)` The existing name of the repository.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateRepositoryNameRequest

    public UpdateRepositoryNameRequest()

### Method Detail

#### setOldName

    public void setOldName(String oldName)

The existing name of the repository.

Parameters:
  `oldName` - The existing name of the repository.

#### getOldName

    public String getOldName()

The existing name of the repository.

Returns:
  The existing name of the repository.

#### withOldName

    public UpdateRepositoryNameRequest withOldName(String oldName)

The existing name of the repository.

Parameters:
  `oldName` - The existing name of the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNewName

    public void setNewName(String newName)

The new name for the repository.

Parameters:
  `newName` - The new name for the repository.

#### getNewName

    public String getNewName()

The new name for the repository.

Returns:
  The new name for the repository.

#### withNewName

    public UpdateRepositoryNameRequest withNewName(String newName)

The new name for the repository.

Parameters:
  `newName` - The new name for the repository.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateRepositoryNameRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`